Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.plugins
Class AstPluginDescriptorReader.PluginReadingPhaseOperation

    java.lang.Object
      org.codehaus.groovy.control.CompilationUnit.PrimaryClassNodeOperation
          org.codehaus.groovy.grails.plugins.AstPluginDescriptorReader.PluginReadingPhaseOperation

Enclosing class:
  AstPluginDescriptorReader

     class AstPluginDescriptorReader.PluginReadingPhaseOperation

extends org.codehaus.groovy.control.CompilationUnit.PrimaryClassNodeOperation

Constructor Summary
`AstPluginDescriptorReader.PluginReadingPhaseOperation(BasicGrailsPluginInfo pluginInfo)`

Method Summary
`void` | `call(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.classgen.GeneratorContext context, org.codehaus.groovy.ast.ClassNode classNode)`

Methods inherited from class org.codehaus.groovy.control.CompilationUnit.PrimaryClassNodeOperation
`needSortedInput`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AstPluginDescriptorReader.PluginReadingPhaseOperation

    public AstPluginDescriptorReader.PluginReadingPhaseOperation(BasicGrailsPluginInfo pluginInfo)

Method Detail

### call

    public void call(org.codehaus.groovy.control.SourceUnit source,
                     org.codehaus.groovy.classgen.GeneratorContext context,
                     org.codehaus.groovy.ast.ClassNode classNode)
              throws org.codehaus.groovy.control.CompilationFailedException

  Specified by:
    `call` in class `org.codehaus.groovy.control.CompilationUnit.PrimaryClassNodeOperation`
  Throws:
    `org.codehaus.groovy.control.CompilationFailedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD